# Exact Floating-Point Arithmetic

## Documentation for package ‘lazyNumbers’ version 1.2.1

- DESCRIPTION file.
- Package NEWS.

## Help Pages

%*%-method | Matricial product of lazy matrices
+-method | Unary operators for lazy matrices
+-method | Unary operators for lazy vectors
--method | Unary operators for lazy matrices
--method | Unary operators for lazy vectors
anyNA | Missing lazy values
anyNA-method | Missing lazy values
as.lazyMatrix | Lazy matrices
as.lazyNumber | Lazy vector
as.lazyVector | Lazy vector
bind2-lazyMatrices | Concatenation of lazy matrices
c-method | Concatenation of lazy vectors
cbind2-method | Concatenation of lazy matrices
concat-lazyObjects | Concatenation of lazy vectors
diag | Extract/replace diagonal of a lazy matrix
diag-method | Extract/replace diagonal of a lazy matrix
diag<--method | Extract/replace diagonal of a lazy matrix
intervals | Intervals for lazy numbers
is.na | Missing lazy values
is.na-method | Missing lazy values
isNaN_or_Inf | Lazy infinite or NaN numbers
lazyDet | Determinant of lazy matrix
lazyInv | Inverse of lazy matrix
lazymat | Lazy matrices
lazyMatrix | Lazy matrices
lazyMatrix-product | Matricial product of lazy matrices
lazyMatrix-unary | Unary operators for lazy matrices
lazynb | Lazy vector
lazyResolve | Resolve lazy numbers
lazyvec | Lazy vector
lazyVector | Lazy vector
lazyVector-unary | Unary operators for lazy vectors
NA_lazy_ | The missing lazy value.
rbind2-method | Concatenation of lazy matrices
Submatrix | Extract lazy submatrix
Subvector | Extract/replace in a lazy vector
t | Transposition of lazy matrices
t-method | Transposition of lazy matrices
transpose-lazyMatrix | Transposition of lazy matrices
[-method | Extract lazy submatrix
[-method | Extract/replace in a lazy vector
[<--method | Extract/replace in a lazy vector